#include "mg32f10x_it.h"


void NMI_Handler(void)
{
}


void HardFault_Handler(void)
{
  /* Go to infinite loop when Hard Fault exception occurs */
  while (1)
  {
  }
}


void MemManage_Handler(void)
{
  /* Go to infinite loop when Memory Manage exception occurs */
  while (1)
  {
  }
}


void BusFault_Handler(void)
{
  /* Go to infinite loop when Bus Fault exception occurs */
  while (1)
  {
  }
}


void UsageFault_Handler(void)
{
  /* Go to infinite loop when Usage Fault exception occurs */
  while (1)
  {
  }
}



void SysTick_Handler(void){
	
	/* odwolania do zmiennych globalnych sterujacych multipleksem */
	extern volatile uint8_t pos;
	extern volatile uint16_t disp_num;
	extern volatile uint16_t disp_num_shadow;


	int8_t digits[4];

	/* pozyskanie kolejnych pozycji dziesietnych */
	digits[0] = (disp_num_shadow % 10000) / 1000;
	digits[1] = (disp_num_shadow % 1000) / 100;
	digits[2] = (disp_num_shadow % 100) / 10;
	digits[3] = (disp_num_shadow % 10);

	/* tymczasowe wylaczenie wyswietlacza */
	display_select_pos(255);
		
	/* ustawienie cyfry do wyswietlenia na katodach */
	display_select_digit(digits[pos], (pos==1)?1:0);
		
	/* wlaczenie wybranej pozycji */
	display_select_pos(pos);

	/* obsluga licznika pozycji dziesietnych */
	pos++;
	
		if(pos > 3){
			
			pos = 0;
			/* aktualizacja odczytu po pelnym cyklu multipleksu */
			disp_num_shadow = disp_num;
			
		}

}

